Debian Bug report logs - #516867
lvm2: completion_matches implicitly converted to pointer

version graph

Package: lvm2; Maintainer for lvm2 is Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>; Source for lvm2 is src:lvm2.

Reported by: dann frazier <dannf@debian.org>

Date: Tue, 24 Feb 2009 05:12:01 UTC

Severity: serious

Tags: patch

Found in version lvm2/2.02.44-1

Fixed in version lvm2/2.02.44-2

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#516867; Package lvm2. (Tue, 24 Feb 2009 05:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
New Bug report received and forwarded. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Tue, 24 Feb 2009 05:12:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: submit@bugs.debian.org
Subject: lvm2: completion_matches implicitly converted to pointer
Date: Mon, 23 Feb 2009 22:10:29 -0700
[Message part 1 (text/plain, inline)]
Package: lvm2
Version: 2.02.44-1
Severity: serious
Tags: patch
Usertags: implicit-pointer-conversion

Our automated buildd log filter[1] detected a problem that is likely to
cause your package to segfault on architectures where the size of a
pointer is greater than the size of an integer, such as ia64 and amd64.

  Function `completion_matches' implicitly converted to pointer at lvm.c:135

This is often due to a missing function prototype definition.
For more information, see [2].

Though it is guaranteed that this codepath will cause a segfault on certain
architectures, it is not guaranteed that this codepath would ever be executed
(e.g., if the returned pointer is never dereferenced). However, this bug
does prevent the ia64 buildd from successfully building this package, resulting
in a practical FTBFS issue and warranting the serious severity.

[1] http://people.debian.org/~dannf/check-implicit-pointer-functions
[2] http://wiki.debian.org/ImplicitPointerConversions
[lvm2.patch (text/x-diff, attachment)]

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Sat, 28 Feb 2009 15:51:04 GMT) Full text and rfc822 format available.

Notification sent to dann frazier <dannf@debian.org>:
Bug acknowledged by developer. (Sat, 28 Feb 2009 15:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 516867-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 516867-close@bugs.debian.org
Subject: Bug#516867: fixed in lvm2 2.02.44-2
Date: Sat, 28 Feb 2009 11:02:10 +0000
Source: lvm2
Source-Version: 2.02.44-2

We believe that the bug you reported is fixed in the latest version of
lvm2, which is due to be installed in the Debian FTP archive:

clvm_2.02.44-2_amd64.deb
  to pool/main/l/lvm2/clvm_2.02.44-2_amd64.deb
dmsetup-udeb_1.02.30-2_amd64.udeb
  to pool/main/l/lvm2/dmsetup-udeb_1.02.30-2_amd64.udeb
dmsetup_1.02.30-2_amd64.deb
  to pool/main/l/lvm2/dmsetup_1.02.30-2_amd64.deb
libdevmapper-dev_1.02.30-2_amd64.deb
  to pool/main/l/lvm2/libdevmapper-dev_1.02.30-2_amd64.deb
libdevmapper1.02.1-udeb_1.02.30-2_amd64.udeb
  to pool/main/l/lvm2/libdevmapper1.02.1-udeb_1.02.30-2_amd64.udeb
libdevmapper1.02.1_1.02.30-2_amd64.deb
  to pool/main/l/lvm2/libdevmapper1.02.1_1.02.30-2_amd64.deb
lvm2-udeb_2.02.44-2_amd64.udeb
  to pool/main/l/lvm2/lvm2-udeb_2.02.44-2_amd64.udeb
lvm2_2.02.44-2.diff.gz
  to pool/main/l/lvm2/lvm2_2.02.44-2.diff.gz
lvm2_2.02.44-2.dsc
  to pool/main/l/lvm2/lvm2_2.02.44-2.dsc
lvm2_2.02.44-2_amd64.deb
  to pool/main/l/lvm2/lvm2_2.02.44-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 516867@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated lvm2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 Feb 2009 11:51:01 +0100
Source: lvm2
Binary: lvm2 lvm2-udeb clvm libdevmapper-dev libdevmapper1.02.1 libdevmapper1.02.1-udeb dmsetup dmsetup-udeb
Architecture: source amd64
Version: 2.02.44-2
Distribution: unstable
Urgency: low
Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 clvm       - Cluster LVM Daemon for lvm2
 dmsetup    - The Linux Kernel Device Mapper userspace library
 dmsetup-udeb - The Linux Kernel Device Mapper userspace library (udeb)
 libdevmapper-dev - The Linux Kernel Device Mapper header files
 libdevmapper1.02.1 - The Linux Kernel Device Mapper userspace library
 libdevmapper1.02.1-udeb - The Linux Kernel Device Mapper userspace library (udeb)
 lvm2       - The Linux Logical Volume Manager
 lvm2-udeb  - The Linux Logical Volume Manager (udeb)
Closes: 516867
Changes: 
 lvm2 (2.02.44-2) unstable; urgency=low
 .
   * Fix implicit pointer conversion. (closes: #516867)
   * Drop unused ncurses dependency.
Checksums-Sha1: 
 96a10872a6b6f3b9dcc34b96b7e186a656fb88a8 1214 lvm2_2.02.44-2.dsc
 9eb9d77f8775d142c20cdaed61d78d37536b21f7 28144 lvm2_2.02.44-2.diff.gz
 4ff27b0307ff39c853dcef1e934370eca396ed18 79082 libdevmapper-dev_1.02.30-2_amd64.deb
 0690758c30da2c69aac6d3c110b496c45c445a55 61712 libdevmapper1.02.1_1.02.30-2_amd64.deb
 731281780feb1a9813838bee462f423b90c81517 39640 libdevmapper1.02.1-udeb_1.02.30-2_amd64.udeb
 2c4e224c5d3a7413d928d5b558ce86918a8cea8e 43802 dmsetup_1.02.30-2_amd64.deb
 577e5213ffde07d518e53e3c0912fb8b65ec75fa 19522 dmsetup-udeb_1.02.30-2_amd64.udeb
 ee402aa67d608b470bbde534b3f01a280f9ff0d4 376620 lvm2_2.02.44-2_amd64.deb
 fdadec23727700afce1178cf2382d2b800df737a 230378 lvm2-udeb_2.02.44-2_amd64.udeb
 a6a96172cd7423ccdc23ca1ffd60455ebe086d7d 229108 clvm_2.02.44-2_amd64.deb
Checksums-Sha256: 
 5d3255c64d950d3c97f579a41998152eaf549b5eeaec0d597e77a0b0a9f15095 1214 lvm2_2.02.44-2.dsc
 3764f3c6af8653a1e6fd1e761a5e08da435416197f9ab267d0f07a380a87f0b7 28144 lvm2_2.02.44-2.diff.gz
 fee7621c85d181562587901b328ff0cdeaadb0a2bd023356d65f7d8104b3aabf 79082 libdevmapper-dev_1.02.30-2_amd64.deb
 513b98c3a22668e406f7a40f3f7ef60536be1bf4402d6be934544732ca8d016f 61712 libdevmapper1.02.1_1.02.30-2_amd64.deb
 2bd9d4146f358181168e890a6506a05c8776ed97c83546d3da8f095f2b296ad2 39640 libdevmapper1.02.1-udeb_1.02.30-2_amd64.udeb
 4f1681c5237bfc6b81cf55eb909fa72378bc5326d5353a5990cb420e3bf3839f 43802 dmsetup_1.02.30-2_amd64.deb
 bcd2d6e53824454c663919695b1d2a8e9570000cdbecab0362f27c3ac596aa54 19522 dmsetup-udeb_1.02.30-2_amd64.udeb
 fa0e2f00b531d1e7356810a57e80a5b090f932f47062b7e284f5e3a0741121ad 376620 lvm2_2.02.44-2_amd64.deb
 324a19cdb47dba05c8519203ee1ee35fa9d7b22d8ef35aba8a9e0fa847b048e5 230378 lvm2-udeb_2.02.44-2_amd64.udeb
 eec1ebb21455edeff7dde6c47f37751c8ec33e8e90ceb11cb4f3e2c0db16ccdb 229108 clvm_2.02.44-2_amd64.deb
Files: 
 4eb2fbf77787b8c5def97352be4261c1 1214 admin optional lvm2_2.02.44-2.dsc
 83fbf59d002b70c975d27551b7c93d15 28144 admin optional lvm2_2.02.44-2.diff.gz
 12abb0cd5b197e13634931b33d62355b 79082 libdevel optional libdevmapper-dev_1.02.30-2_amd64.deb
 57412f75358e2769659cc56dd1e41cf7 61712 libs required libdevmapper1.02.1_1.02.30-2_amd64.deb
 134c53ef7ae0e397ca038b36a6e253cc 39640 debian-installer optional libdevmapper1.02.1-udeb_1.02.30-2_amd64.udeb
 26b396cb41b624a40ced63e18d4d2a5c 43802 admin optional dmsetup_1.02.30-2_amd64.deb
 fd57d5ad9c5fb2565eec2062302cdcd1 19522 debian-installer optional dmsetup-udeb_1.02.30-2_amd64.udeb
 841cdea2d79884c07439662f1578ce76 376620 admin optional lvm2_2.02.44-2_amd64.deb
 034f7de6199a1cadb3ffb69bf4135ca9 230378 debian-installer optional lvm2-udeb_2.02.44-2_amd64.udeb
 f89c0309c5aa78ea5322a8e015a5a4dd 229108 admin extra clvm_2.02.44-2_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmpF/UACgkQLkAIIn9ODhHQ3QCg/CKp1p6En4XNzpXo6xE8Hb6A
558An0O3WESZvjRVNGRVe9p4uRNp5u9/
=Rmit
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Apr 2009 07:32:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:41:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.